> ## Documentation Index
> Fetch the complete documentation index at: https://help.hoopai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Knowledge Base

> Permanently deletes a knowledge base and all its associated content (URLs, FAQs).



## OpenAPI

````yaml /api-reference/knowledge-base/openapi.json delete /knowledge-base/{knowledgeBaseId}
openapi: 3.0.0
info:
  title: Knowledge Base API
  description: >-
    Documentation for Knowledge Base API — create and manage knowledge bases,
    train web content via URL crawling, and manage FAQ entries.
  version: '1.0'
  contact: {}
servers:
  - url: https://services.leadconnectorhq.com
security: []
tags:
  - name: Knowledge Bases
    description: Create, list, update, and delete knowledge bases
  - name: Web Crawler
    description: Discover and train website URLs for knowledge base content
  - name: FAQs
    description: Create, list, update, and delete FAQ entries within a knowledge base
paths:
  /knowledge-base/{knowledgeBaseId}:
    delete:
      tags:
        - Knowledge Bases
      summary: Delete Knowledge Base
      description: >-
        Permanently deletes a knowledge base and all its associated content
        (URLs, FAQs).
      operationId: delete-knowledge-base
      parameters:
        - name: Version
          in: header
          description: API Version
          required: true
          schema:
            type: string
            enum:
              - '2021-07-28'
        - name: knowledgeBaseId
          in: path
          description: The unique identifier for the knowledge base to delete
          required: true
          schema:
            type: string
            example: kb_abc123def456
      responses:
        '200':
          description: Knowledge base deleted successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeleteResponseDTO'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestDTO'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedDTO'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotFoundDTO'
        '422':
          description: Unprocessable Entity
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnprocessableDTO'
      security:
        - bearer: []
components:
  schemas:
    DeleteResponseDTO:
      type: object
      properties:
        success:
          type: boolean
          description: Whether the deletion was successful
          example: true
        message:
          type: string
          description: Deletion confirmation message
          example: Deleted successfully
    BadRequestDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 400
        message:
          type: string
          example: Bad Request
    UnauthorizedDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 401
        message:
          type: string
          example: 'Invalid token: access token is invalid'
        error:
          type: string
          example: Unauthorized
    NotFoundDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 404
        message:
          type: string
          example: Not found
        error:
          type: string
          example: Not Found
    UnprocessableDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 422
        message:
          type: array
          items:
            type: string
          example:
            - Unprocessable Entity
        error:
          type: string
          example: Unprocessable Entity
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Use the Access Token generated with user type as Sub-Account (OR)
        Private Integration Token of Sub-Account.
      type: http

````